RHEL 8 : OpenShift Container Platform 4.6.53(RHSA-2022: 0024)

high Nessus プラグイン ID 156716

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 8 ホストにインストールされているパッケージは、RHSA-2020: 0024 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- haproxy:HTTPメソッド名に、保護されたリソースの名前が後に続くスペースが含まれることがあります。(CVE-2021-39241)

- haproxy:重複したcontent-lengthヘッダーを介したスマグリング攻撃または応答分割のリクエスト (CVE-2021-40346 )

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ頼っていることに注意してください。

ソリューション

影響を受けるhaproxy20パッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/444.html

https://access.redhat.com/security/cve/CVE-2021-39241

https://access.redhat.com/security/cve/CVE-2021-40346

https://access.redhat.com/errata/RHSA-2022:0024

https://bugzilla.redhat.com/1995107

https://bugzilla.redhat.com/2000599

プラグインの詳細

深刻度: High

ID: 156716

ファイル名: redhat-RHSA-2022-0024.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2022/1/13

更新日: 2022/5/17

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2021-40346

VPR

リスクファクター: Medium

スコア: 5.1

CVSS v2

リスクファクター: Medium

Base Score: 5

Temporal Score: 3.7

ベクトル: AV:N/AC:L/Au:N/C:N/I:P/A:N

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:enterprise_linux:8, p-cpe:/a:redhat:enterprise_linux:haproxy20

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/1/12

脆弱性公開日: 2021/8/17

参照情報

CVE: CVE-2021-39241, CVE-2021-40346

RHSA: 2022:0024

IAVB: 2021-B-0056

CWE: 20, 444